## Libglade Initialisation Libglade Initialisation |

## Functions

void | glade_init ()
void | glade_require ()
void | glade_provide ()

## Includes

    #include <glade/glade-init.h>

## Description

## Functions

### glade_init ()

    void
    glade_init (void);

It used to be necessary to call `glade_init()` before creating GladeXML objects. This is now no longer the case, as libglade will be initialised on demand now. Calling `glade_init()` manually will not cause any problems though.

### glade_require ()

    void
    glade_require (const gchar *library);

Ensure that a required library is available. If it is not already available, libglade will attempt to dynamically load a module that contains the handlers for that library.

#### Parameters

library | the required library |

### glade_provide ()

    void
    glade_provide (const gchar *library);

This function should be called by a module to assert that it provides wrappers for a particular library. This should be called by the `register_widgets()` function of a libglade module so that it isn't loaded twice, for instance.

#### Parameters

library | the provided library |